# Tags ## List **get** `/tags` List all tags in use for the given `projectId` ### Query Parameters - `pageSize: optional number` The number of items to return in the response. The default value is 50, maximum value is 100, minimum value is 1 - `paginationToken: optional string` A token you received in a previous request to query the next page of items ### Returns - `tags: array of object { createdAt, itemCount, ownerId, 2 more }` - `createdAt: string` The tag creation date as an ISO string (example: "2023-02-03T11:19:41.579Z") - `itemCount: number` The number of items that have this tag - `ownerId: string` The owner ID (example: "dcf121faaa1a0a0bbbd9ca1b73d62aea") - `tagName: string` The tag name - `updatedAt: string` The tag last update date as an ISO string (example: "2023-02-03T11:19:41.579Z") - `nextPaginationToken: optional string` A token to query the next page of tags ### Example ```http curl https://api.cloud.scenario.com/v1/tags \ -u "$SCENARIO_SDK_API_KEY:SCENARIO_SDK_API_SECRET" ``` #### Response ```json { "tags": [ { "createdAt": "createdAt", "itemCount": 0, "ownerId": "ownerId", "tagName": "tagName", "updatedAt": "updatedAt" } ], "nextPaginationToken": "nextPaginationToken" } ``` ## Domain Types ### Tag List Response - `TagListResponse object { createdAt, itemCount, ownerId, 2 more }` - `createdAt: string` The tag creation date as an ISO string (example: "2023-02-03T11:19:41.579Z") - `itemCount: number` The number of items that have this tag - `ownerId: string` The owner ID (example: "dcf121faaa1a0a0bbbd9ca1b73d62aea") - `tagName: string` The tag name - `updatedAt: string` The tag last update date as an ISO string (example: "2023-02-03T11:19:41.579Z")